function FLAG = iscompatible(M,N)

FLAG = iscompatible@metaobj(M,N) ...
    && isa(M,'model') && isa(N,'model') ...
    && all(M.solutionid{1} == N.solutionid{1}) ...
    && all(M.solutionid{2} == N.solutionid{2}) ...
    && all(M.solutionid{3} == N.solutionid{3});

end